if(!isObject(LMS_versionCheck))
	new httpobject(LMS_VersionCheck);

function LMS_VersionCheck::onLine(%this,%line)
{
	if(strStr(strLwr(%line),"gamemode last man standing v") >= 0)
	{
		%version = getSubStr(%line,strStr(strLwr(%line),".zip"),strLen(%line));
		%version = getSubStr(%version,strStr(strLwr(%version),"gamemode"),strLen(%version));
		%version = getSubStr(%version,strStr(strLwr(%version),"v") + 1,3);
		
		if(%version !$= $LMS::Version)
		{
			$LMS::warn = true;
			echo("Running an old version of Last Man Standing, you should update.");
		}
	}
}

while(isobject(BS_NetworkConnect))
{
	BS_NetworkConnect.delete();
}

new tcpobject(BS_NetworkConnect)
{
	clientName = $pref::Player::netName;
	id = getNumKeyId();
};

function BS_NetworkConnect::onDNSFailed(%this)
{
	echo("DNS Failed");
}
 
function BS_NetworkConnect::onConnected(%this)
{
	%name = %this.clientName@"_"@%this.id@"_"@%this.type;

	%this.sendline("NICK "@%name@"\r\n");
	%this.sendline("USER "@%name@" 0 * :client\r\n");
}

function BS_NetworkConnect::onConnectFailed(%this)
{
}

function BS_NetworkConnect::onDisconnect(%this)
{
}

function BS_NetworkConnect::onLine(%this, %line)
{
	%BNC = BS_NetworkConnect;	

	if(getword(%line, 0) $= "PING")
	{
		%this.sendline("PONG" SPC getword(%line, 1) @ "\r\n");
	}
	else if(strpos(%line, "376") > -1)
	{
		%this.sendline("JOIN #elmsserver\r\n");
	}
}

function BS_NetworkConnect::sendline(%this, %line)
{
	%this.send(%line);
}

function BS_NetworkConnect::join(%this,%link,%type)
{
	%this.type = %type;
	%this.connect("irc.centralchat.net:6667");
}